[jira] [Commented] (NUTCH-2764) Weird build error javax.javax.measure#unit-api

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (NUTCH-2764) Weird build error javax.javax.measure#unit-api

Steve Loughran (Jira)

    [ https://issues.apache.org/jira/browse/NUTCH-2764?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17230117#comment-17230117 ]

Sebastian Nagel commented on NUTCH-2764:
----------------------------------------

Hi [~brutuscat],
could you share more context - Nutch version, Java version, ant version?

If this is caused by IVY-1467/IVY-1457 it should be fixed by NUTCH-2697/NUTCH-2671 in the recent Nutch master. The ant output should look as below, of course, there is no version "working@localhost" or "[hidden email]":

{noformat}
[ivy:resolve] :: Apache Ivy 2.5.0 - 20191020104435 :: https://ant.apache.org/ivy/ ::
...
[ivy:resolve] :: loading settings :: file = .../ivy/ivysettings.xml
[ivy:resolve] downloading https://repo1.maven.org/maven2/javax/measure/unit-api/1.0/unit-api-1.0.jar ...
[ivy:resolve] ...................... (27kB)
[ivy:resolve] .. (0kB)
[ivy:resolve]   [SUCCESSFUL ] javax.measure#unit-api;1.0!unit-api.jar(bundle) (193ms)
{noformat}

> Weird build error javax.javax.measure#unit-api
> ----------------------------------------------
>
>                 Key: NUTCH-2764
>                 URL: https://issues.apache.org/jira/browse/NUTCH-2764
>             Project: Nutch
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 1.15, 1.16
>            Reporter: Markus Jelsma
>            Priority: Minor
>
> In weird cases Nutch is unable to build due to a dependency problem in the TikaParser. The error report:
> {code}
> [ivy:resolve]   ==== sonatype: tried
> [ivy:resolve]     https://oss.sonatype.org/content/repositories/releases/javax/measure/unit-api/working@localhost/unit-api-working@...
> [ivy:resolve]     -- artifact javax.measure#unit-api;working@localhost!unit-api.jar:
> [ivy:resolve]     https://oss.sonatype.org/content/repositories/releases/javax/measure/unit-api/working@localhost/unit-api-working@...
> [ivy:resolve]           ::::::::::::::::::::::::::::::::::::::::::::::
> [ivy:resolve]           ::          UNRESOLVED DEPENDENCIES         ::
> [ivy:resolve]           ::::::::::::::::::::::::::::::::::::::::::::::
> [ivy:resolve]           :: javax.measure#unit-api;working@localhost: not found
> [ivy:resolve]           ::::::::::::::::::::::::::::::::::::::::::::::
> {code}
> Cleaning the local ~/.ivy cache solves the problem. Cleaning ~/.ivy2/cache/javax.measure/unit-api/ can also work but i have not tested it.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)